name: easy_parking
description: "A new Flutter project."
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ^3.7.2

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  intl: ^0.20.2
  iconsax: ^0.0.8
  flutter_bloc: ^9.1.1
  lottie: ^3.3.1
  sqflite: ^2.4.2
  dio: ^5.8.0+1
  http_parser: ^4.1.2
  path: ^1.9.1
  qr_flutter: ^4.1.0
  uuid: ^4.5.1
  mobile_scanner: ^7.0.1
  cached_network_image: ^3.4.1
  shimmer: ^3.0.0
  file_picker: ^10.2.1
  mime: ^2.0.0
  syncfusion_flutter_gauges: ^30.1.42
  print_bluetooth_thermal: ^1.1.6
  flutter_esc_pos_utils: ^1.0.1
  blue_thermal_printer: ^1.2.3
  image: ^4.5.4
      

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0

flutter:

  uses-material-design: true

  assets:
    - assets/logos/
    - assets/jsons/

  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
          weight: 100
        - asset: assets/fonts/poppins/Poppins-ThinItalic.ttf
          weight: 100
          style: italic
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/poppins/Poppins-ExtraLightItalic.ttf
          weight: 200
          style: italic
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/poppins/Poppins-LightItalic.ttf
          weight: 300
          style: italic
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Italic.ttf
          weight: 400
          style: italic
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
          weight: 700
        - asset: assets/fonts/poppins/Poppins-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/poppins/Poppins-ExtraBoldItalic.ttf
          weight: 800
          style: italic
        - asset: assets/fonts/poppins/Poppins-Black.ttf
          weight: 900
        - asset: assets/fonts/poppins/Poppins-BlackItalic.ttf
          weight: 900
          style: italic

    - family: Roboto
      fonts:
        - asset: assets/fonts/roboto/Roboto-Thin.ttf
          weight: 100
        - asset: assets/fonts/roboto/Roboto-ThinItalic.ttf
          weight: 100
          style: italic
        - asset: assets/fonts/roboto/Roboto-Light.ttf
          weight: 300
        - asset: assets/fonts/roboto/Roboto-LightItalic.ttf
          weight: 300
          style: italic
        - asset: assets/fonts/roboto/Roboto-Regular.ttf
          weight: 400
        - asset: assets/fonts/roboto/Roboto-Italic.ttf
          weight: 400
          style: italic
        - asset: assets/fonts/roboto/Roboto-Medium.ttf
          weight: 500
        - asset: assets/fonts/roboto/Roboto-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/roboto/Roboto-Bold.ttf
          weight: 700
        - asset: assets/fonts/roboto/Roboto-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: assets/fonts/roboto/Roboto-Black.ttf
          weight: 900
        - asset: assets/fonts/roboto/Roboto-BlackItalic.ttf
          weight: 900
          style: italic
    - family: Urbanist
      fonts:
        - asset: assets/fonts/urbanist/Urbanist-Thin.ttf
          weight: 100
        - asset: assets/fonts/urbanist/Urbanist-ThinItalic.ttf
          weight: 100
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/urbanist/Urbanist-ExtraLightItalic.ttf
          weight: 200
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-Light.ttf
          weight: 300
        - asset: assets/fonts/urbanist/Urbanist-LightItalic.ttf
          weight: 300
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-Regular.ttf
          weight: 400
        - asset: assets/fonts/urbanist/Urbanist-Italic.ttf
          weight: 400
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-Medium.ttf
          weight: 500
        - asset: assets/fonts/urbanist/Urbanist-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/urbanist/Urbanist-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-Bold.ttf
          weight: 700
        - asset: assets/fonts/urbanist/Urbanist-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/urbanist/Urbanist-ExtraBoldItalic.ttf
          weight: 800
          style: italic
        - asset: assets/fonts/urbanist/Urbanist-Black.ttf
          weight: 900
        - asset: assets/fonts/urbanist/Urbanist-BlackItalic.ttf
          weight: 900
          style: italic

